divert(-1)
# AnotherLevelUp/fvwm2rc.defstyles.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 1999 and Red Hat Software, Inc

#------------------------------------------------------------------------------

# AnotherLevel - A FVWM2 Configuration
# Copyright (C) 1996, 1997 Red Hat Software, Inc
#
#	$Id: fvwm2rc.defstyles.m4,v 1.1 1998/04/22 04:22:31 gafton Exp $	
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# This work is derived from:
#       TheNextLevel
#       Copyright 1996 By Greg J. Badros <gjb@cs.duke.edu>
# distributed under GNU General Public License.
#
divert

#Remember, options are additive-- they get "OR"-ed together
# Also note that some of these are "FvwmAlias"-es... see m4 macro
# FvwmAlias and the following lines, above.

# In general, we do not want all Fvwm* to have MinimalDecoration
# except for certain ones (not covered elsewhere):
Style FvwmBanner	MinimalDecoration
Style FvwmIconBox	MinimalDecoration
Style FvwmIconMan	MinimalDecoration
Style FvwmWinList	MinimalDecoration

Style "xosview"		Sticky, CirculateSkip

Style "xeyes"		MinimalDecoration, CirculateSkip
Style "xeyes"		WindowListSkip, Sticky

Style "xload"		StickyOnTop, MinimalDecoration, CirculateSkip

Style "Msgs"		CirculateSkip
Style "*onsole"		CirculateSkip
Style "xman"		MinimalDecoration, CirculateSkip
ifdef(`NO_ICONS', `', `
Style "*xterm*"		Icon 	xterm.xpm
Style "*shell*"		Icon 	xterm.xpm
')

Style "desktop_icon"		WindowListSkip, MinimalDecoration, Sticky
Style "gmc-desktop-icon"	WindowListSkip, MinimalDecoration, Sticky
