divert(-1)
# AnotherLevelUp/fvwm2rc.menussystemutilities.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 1999, 2000, 2001 and Red Hat Software, Inc
divert

TraceForErrors(`System Utilities menu...')

AddNewMenuAndButtonBar(SystemUtilities, "Toggle Button Panel MiniTitleIcon(modules)")

ifdef(`WANT_ROOT_XTERM', `
ifdef(`RH5', `
DefineProgramLM(&Root shell,redhat,,StartProgramInColorXterm(sh -c su,"Root Window"))
', `
DefineProgramLM(&Root shell,shadowman,,StartProgramInColorXterm(sh -c su,"Root Window"))
')
')

ifdef(`MESSAGE_LOG',`
MenuAndButtonEntryLM(&Msgs,doc,,Exec nice -NICELEVEL RXVT -geometry 80x8+520-2 -T Msgs -fn SMALL_FONT -e nice -NICELEVEL tail -8 -f MESSAGE_LOG)
')

IfProgramExists(`gtop',
`MenuAndButtonEntryLM(T&op,run,,Exec gtop)',
`MenuAndButtonEntryLM(T&op,run,,Exec RXVT -name top -T Top -n Top -e top)'
)
MenuAndButtonEntryLM(&Identify Window,question,question,Module FvwmIdent)
DefineProgramLM(&Window Info,windows,,StartNonInteractiveProgramInRxvt(`xwininfo',WindowInfo))
MenuAndButtonEntryLM(&Console,term,,Popup ToggleConsole)
ifdef(`RH5', `
', `
MenuAndButtonEntryLM(Reset Task &Bar,taskbar,, Function FvwmTaskBar)
')
# ???? perhaps needs configuring?
MenuAndButtonEntryLM(W&indow List Module,winlist,window3d,Module FvwmWinList)
MenuAndButtonEntryLM(W&harf,wharf,pages_3d, Popup ToggleWharf)

ifdef(`COMP_PAGER_TOGGLE_MENU_ENTRY', COMP_PAGER_TOGGLE_MENU_ENTRY)
ifdef(`COMP_XBIFF_TOGGLE_MENU_ENTRY', COMP_XBIFF_TOGGLE_MENU_ENTRY)
ifdef(`COMP_XCLOCK_TOGGLE_MENU_ENTRY', COMP_XCLOCK_TOGGLE_MENU_ENTRY)

MenuSeparatorLM
MenuAndButtonEntryLM(Restart &Fvwm2,turn,,Function ReallyRestart)
ifelse(PerlTk, `Okay', `
MenuAndButtonEntryLM(Monitor Error File,exclam,,Popup ToggleErrorMonitor)
')
MenuSeparatorLM
MenuAndButtonEntryLM(Re&fresh Screen,ray,,Refresh)
MenuAndButtonEntryLM(Re&capture All Windows,recapture,,Recapture)
