divert(-1)
# AnotherLevelUp/fvwm2rc.menus.windowoperations.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 1999, 2000, 2001 and Red Hat Software, Inc
divert

TraceForErrors(`Window-Ops menu...')

ifelse(PLANES, `8', `',`
syscmd(display -window root ANOTHERLEVEL/init-screen-picture-6.jpeg)
')

#
# This defines the most common window operations
#
AddNewMenuAndButtonBar(`Window-Ops', "Toggle Button Panel MiniTitleIcon(modules)")
# Shortcuts: MRAL H/I SXTW DCK BPWUL F
MenuAndButtonEntryLM(&Move,move,icon_move_3d,Function Move-and-Raise)
MenuAndButtonEntryLM(&Resize,resize,,Function Resize-or-Raise)
MenuAndButtonEntryLM(R&aise,raise,hand_up_3d,Raise)
MenuAndButtonEntryLM(&Lower,lower,arrdown_3d,Lower)
MenuAndButtonEntryLM(&ICONIFY_LABEL/Restore,iconify,arrdown2_3d,Iconify)
MenuAndButtonEntryLM(&Stick/Unstick,stick,,Stick)
MenuAndButtonEntryLM(Ma&ximize/Reset,maxfull,,FullMaximize)
MenuAndButtonEntryLM(Maximize &Tall/Reset,maxtall,,TallMaximize)
MenuAndButtonEntryLM(Maximize &Wide/Reset,maxwide,,WideMaximize)
MenuSeparatorLM

# Keep the following in separate structures so each has uniqe line number
ifdef(`RH5', `
MenuAndButtonEntryLM(Cascad&e,cascade,,FvwmCascade -resize 0 0 80 60)
',`
MenuAndButtonEntryLM(Cascad&e,cascade,,FvwmRearrange -cascade -resize 0 0 80 60)
')
ifdef(`RH5', `
MenuAndButtonEntryLM(Tile Hori&zontal,tilehoriz,,FvwmTile -h 0 0 99 90)
',`
MenuAndButtonEntryLM(Tile Hori&zontal,tilehoriz,,FvwmRearrange -tile -h 0 0 99 90)
')
ifdef(`RH5', `
MenuAndButtonEntryLM(Tile &Vertical,tilevert,,FvwmTile 0 0 99 90)
',`
MenuAndButtonEntryLM(Tile &Vertical,tilevert,,FvwmRearrange -tile 0 0 99 90)
')
MenuSeparatorLM

#Delete: invite the window to exit gracefully, but it might not.
#Close: invite the window to exit gracefully, but if doesn't, kill it anyway!
#Destroy: just kill it!
MenuAndButtonEntryLM(&Delete,,,Delete)
MenuAndButtonEntryLM(&Close,cross,,Close)
MenuAndButtonEntryLM(&Kill,bomb,bomb_3d,Destroy)
MenuSeparatorLM
MenuAndButtonEntryLM(Scroll&Bar,scroll-arrows,,Module FvwmScroll 2 2)
IfProgramExists(ProgramName(PRINT_FUNCTION),`
MenuAndButtonEntryLM(&Print,,,PrintFunction)
')
MenuAndButtonEntryLM(Capture &Full screen to file,,,Exec xwd -out HOME/full-screen -root)
MenuAndButtonEntryLM(Capture (&Print) Window,camera,,FvwmForm Capture)
MenuSeparatorLM

MenuAndButtonEntryLM(Switch to...,,,WindowList)
MenuAndButtonEntryLM(Re&fresh Screen,ray,,Refresh)

# Shortcuts: H/I MSNXCK 
AddToMenu "Window-Ops-Basic" 
+ "&Move MiniTitleIcon(move)"	Move-or-Raise
+ "&Size MiniTitleIcon(resize)" Resize-or-Raise
+ "Mi&nimize MiniTitleIcon(iconify)" Iconify 1
+ "Ma&ximize"       		FullMaximize
+ ""                		Nop
+ "&Close MiniTitleIcon(cross)"	Close
+ "&Kill MiniTitleIcon(bomb)" 	Destroy
