divert(-1)
# AnotherLevelUp/fvwm2rc.storedprefs.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 1999, 2001 and Red Hat Software, Inc
divert

Style SavePreferences StaysOnTop
*SavePreferencesWarpPointer

*SavePreferencesFont		FORM_FONT
*SavePreferencesButtonFont	FORM_BUTTONFONT
*SavePreferencesInputFont	FORM_INPUTFONT
*SavePreferencesFore		FORM_FORE
*SavePreferencesBack		FORM_BACK
*SavePreferencesItemFore	FORM_ITEMFORE
*SavePreferencesItemBack	FORM_ITEMBACK

*SavePreferencesLine center
*SavePreferencesText "Name of preferences:"
*SavePreferencesInput PrefsName 50 " "
*SavePreferencesLine expand
*SavePreferencesButton quit "Okay" ^M
*SavePreferencesCommand Function SavePreferences "$(PrefsName)"
*SavePreferencesButton quit "Cancel" ^C
*SavePreferencesCommand Nop
*SavePreferencesButton restart "Clear" ^R

Style PreferencesNotSavedVerify StaysOnTop

*PreferencesNotSavedVerifyFont		FORM_FONT
*PreferencesNotSavedVerifyButtonFont	FORM_BUTTONFONT
*PreferencesNotSavedVerifyInputFont	FORM_INPUTFONT
*PreferencesNotSavedVerifyFore		FORM_FORE
*PreferencesNotSavedVerifyBack		FORM_BACK
*PreferencesNotSavedVerifyItemFore	FORM_ITEMFORE
*PreferencesNotSavedVerifyItemBack	FORM_ITEMBACK

*PreferencesNotSavedVerifyWarpPointer

*PreferencesNotSavedVerifyLine center
*PreferencesNotSavedVerifyText "Your current preferences have not been saved"
*PreferencesNotSavedVerifyLine expand
*PreferencesNotSavedVerifyText "and will be overwritten by loading another set."
*PreferencesNotSavedVerifyLine expand
*PreferencesNotSavedVerifyLine expand
*PreferencesNotSavedVerifyText "Save current preferences first?"
*PreferencesNotSavedVerifyLine expand
*PreferencesNotSavedVerifyButton quit "Yes" ^M
*PreferencesNotSavedVerifyCommand Function SavePreferencesWithSync -default
*PreferencesNotSavedVerifyButton quit "No" ^M
*PreferencesNotSavedVerifyCommand Exec touch USER_PREFS_DIR/SAVE-DISCARDED
*PreferencesNotSavedVerifyCommand FvwmForm PreferencesSync
*PreferencesNotSavedVerifyButton quit "Cancel Load" ^C
*PreferencesNotSavedVerifyCommand Exec touch USER_PREFS_DIR/LOAD-CANCELLED
*PreferencesNotSavedVerifyCommand FvwmForm PreferencesSync

*PreferencesSyncFont		FORM_FONT
*PreferencesSyncButtonFont	FORM_BUTTONFONT
*PreferencesSyncInputFont	FORM_INPUTFONT
*PreferencesSyncFore		FORM_FORE
*PreferencesSyncBack		FORM_BACK
*PreferencesSyncItemFore	FORM_ITEMFORE
*PreferencesSyncItemBack	FORM_ITEMBACK

*PreferencesSyncLine center
*PreferencesSyncText "Please Wait..."
*PreferencesSyncLine expand
*PreferencesSyncText "(This can take a few minutes)"
*PreferencesSyncLine expand


AddToFunc SwitchPreferences
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -check_save"
+ "I" Wait PreferencesSync
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -load \"$0\""
+ "I" Exec ANOTHERLEVEL/bin/kill-all-fvwm-form PreferencesSync 

AddToFunc SwitchSharedPreferences
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -shared_check_save"
+ "I" Wait PreferencesSync
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -shared_load \"$0\""
+ "I" Exec ANOTHERLEVEL/bin/kill-all-fvwm-form PreferencesSync

AddToFunc SavePreferences
+ "I" Desk 0 10000
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -save \"$0\" -menu +delete \"$0\""
+ "I" Desk 0 0

AddToFunc SavePreferencesWithSync
+ "I" Desk 0 10000
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -save \"$0\" -menu +delete \"$0\""
+ "I" Desk 0 0
+ "I" FvwmForm PreferencesSync

AddToFunc ExportPreferences
+ "I" Desk 0 10000
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -export -menu"
+ "I" Desk 0 0

changecom(%%%)
AddToFunc DeletePreferences
+ "I" PipeRead "ANOTHERLEVEL/bin/preferences -delete_confirm_form \"FORM_FONT\" \"FORM_BUTTONFONT\" \"FORM_INPUTFONT\" \"FORM_FORE\" \"FORM_BACK\" \"FORM_ITEMFORE\" \"FORM_ITEMBACK\" \"$0\" \"$0\""
changecom(#)

AddToFunc BrowseWebSiteThemes
+ "I"  Exec NETSCAPE ALU_WEB_SITE_THEMES

esyscmd(ANOTHERLEVEL/bin/preferences -path_shared_preferences "ANOTHERLEVELPREFERENCES" -menu +delete)
