divert(-1)
# AnotherLevelUp/fvwm2rc.comp.mousespeed.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 2001 and Red Hat Software, Inc
divert

define(`MOUSE_SPEED', `default')
readFile(`menu_MouseSpeed')
Exec xset m MOUSE_SPEED

define(`MOUSE_HAND', `Right')
readFile(`menu_MouseHand')

AddToFunc MouseRightHand
+ "I" Exec xmodmap -e "pointer = 1 2 3" 2>/dev/null || xmodmap -e "pointer = 1 2 3 4 5"

AddToFunc MouseLeftHand
+ "I" Exec xmodmap -e "pointer = 3 2 1" 2>/dev/null || xmodmap -e "pointer = 3 2 1 4 5" 

Function Mouse`'MOUSE_HAND`'Hand

AddToFunc SetMouseRightHand
+ "I" Function MouseRightHand
+ "I" Exec `echo "define(\`MOUSE_HAND', 'Right`)" > 'USER_PREFS_DIR`/menu_MouseHand'

AddToFunc SetMouseLeftHand
+ "I" Function MouseLeftHand
+ "I" Exec `echo "define(\`MOUSE_HAND', 'Left`)" > 'USER_PREFS_DIR`/menu_MouseHand'

AddToFunc MouseSpeed
+ "I" Exec xset m $0
+ "I" Exec `echo "define(\`MOUSE_SPEED', '$0`)" > 'USER_PREFS_DIR`/menu_MouseSpeed'

AddToMenu MouseSettings "Mouse Speed" Title
+ "&Default"	  			MouseSpeed "default"
+ "&N No acceleration"  		MouseSpeed "0 10000"
+ "&1 Acceleration 5 (moderate)"	MouseSpeed "5 10"
+ "&2 Acceleration 7 (fast)"		MouseSpeed "7 8"
+ "&3 Acceleration 10 (faster)"  	MouseSpeed "10 7"
+ "&4 Acceleration 15 (even faster)"  	MouseSpeed "15 6"
+ "&5 Acceleration 20 (dangerous)" 	MouseSpeed "20 5"
+ "" Title
+ "Mouse Handedness" Title
+ "&Right Handed (1 2 3 4 5)" Function SetMouseRightHand
+ "&Left Handed (3 2 1 4 5)" Function SetMouseLeftHand

define(`COMP_MOUSESPEED_CONFIG_MENU_ENTRY',
`MenuAndButtonEntryLM(&Mouse Settings,mouse,,Popup MouseSettings)')

