divert(-1)
# AnotherLevelUp/fvwm2rc.comp.rootcursor.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 2001 and Red Hat Software, Inc
divert

define(`ROOT_CURSOR', `X_cursor')
readFile(`menu_RootCursor')
Exec xsetroot -cursor_name ROOT_CURSOR

AddToFunc SetRootCursor
+ "I" Exec xsetroot -cursor_name $0
+ "I" Exec `echo "define(\`ROOT_CURSOR', '$0`)" > 'USER_PREFS_DIR`/menu_RootCursor'

AddToMenu RootCursor "Set Root Cursor" Title
+ "&Reset to X_cursor" SetRootCursor X_cursor
+ "&Objects" Popup ObjectsCursors
+ "&Arrows" Popup ArrowCursors
+ "&Sides / Corners with arrow" Popup SidesCornersCursors
+ "&Crosses" Popup CrossesCursors
+ "&Tees" Popup TeesCursors
+ "&Buttons" Popup ButtonsCursors
+ "Cor&ners" Popup CornersCursors
+ "&Miscellany" Popup MiscellanyCursors

#AddCursorToMenu($1=Menu,$2=Cursor)
define(`AddCursorToMenu',`
AddToMenu $1 "$2" SetRootCursor $2')

foreach(`x',
`(boat,bogosity,box_spiral,circle,clock,coffee_mug,dot,dotbox,draft_large,draft_small,draped_box,exchange,fleur,gobbler,gumby,hand1,hand2,heart,icon,man,mouse,num_glyphs,pencil,pirate,plus,rtl_logo,sailboat,shuttle,spider,spraycan,star,target,trek,umbrella,watch)',
`AddCursorToMenu(ObjectsCursors,x)')

foreach(`x',
`(arrow,based_arrow_down,based_arrow_up,double_arrow,question_arrow,sb_down_arrow,sb_h_double_arrow,sb_left_arrow,sb_right_arrow,sb_up_arrow,sb_v_double_arrow,top_left_arrow)',
`AddCursorToMenu(ArrowCursors,x)')

foreach(`x',
`(top_left_corner,top_side,top_right_corner,left_side,right_side,bottom_left_corner,bottom_side,bottom_right_corner)',
`AddCursorToMenu(SidesCornersCursors,x)')

foreach(`x',
`(X_cursor,cross,cross_reverse,crosshair,diamond_cross,iron_cross,tcross)',
`AddCursorToMenu(CrossesCursors,x)')

foreach(`x',
`(bottom_tee,left_tee,right_tee,top_tee)',
`AddCursorToMenu(TeesCursors,x)')

foreach(`x',
`(leftbutton,middlebutton,rightbutton)',
`AddCursorToMenu(ButtonsCursors,x)')

foreach(`x',
`(ll_angle,lr_angle,ul_angle,ur_angle)',
`AddCursorToMenu(CornersCursors,x)')

foreach(`x',
`(center_ptr,left_ptr,right_ptr,sizing,xterm)',
`AddCursorToMenu(MiscellanyCursors,x)')

define(`COMP_ROOTCURSOR_CONFIG_MENU_ENTRY',
`MenuAndButtonEntryLM(&Root Cursor,cross,,Popup RootCursor)')
