divert(-1)
# AnotherLevelUp/fvwm2rc.comp.xbiff.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 2001 and Red Hat Software, Inc
divert

changecom(%%%)
# First the default setting:
define(`XBIFFPROG', `xbiff')

# Now the choice of the user, if it exists
readFile(scripts_XbiffChoice)

# Now the associated options:
ifelse(XBIFFPROG, `xbiff', `
define(`XBIFFNAME', `xbiff')
#define(`XBIFFGEOMETRY', `47x43`'eval(-149 - 55 * NUM_DESKTOPS)+0')
define(`XBIFFGEOMETRY', 47x43`'NEXTTOPSCREENPOSITION+0)
define(`XBIFFOPTIONS', `-geometry XBIFFGEOMETRY -bg "WINBACK_COLOR" -fg "WINFORE_COLOR" -xrm xbiff*fullPixmap:flagup -xrm xbiff*emptyPixmap:flagdown')
define(`NEXTTOPSCREENPOSITION', eval(NEXTTOPSCREENPOSITION - 53))
')

ifelse(XBIFFPROG, `xmailbox', `
define(`XBIFFNAME', `xmailbox')
#define(`XBIFFGEOMETRY', `57x43`'eval(-149 - 55 * NUM_DESKTOPS)+0')
define(`XBIFFGEOMETRY', 57x43`'NEXTTOPSCREENPOSITION+0)
define(`XBIFFOPTIONS', `-geometry XBIFFGEOMETRY')
define(`NEXTTOPSCREENPOSITION', eval(NEXTTOPSCREENPOSITION - 53))
')

ifelse(XBIFFPROG, `xlbiff', `
define(`XBIFFNAME', `xlbiff')
define(`XBIFFOPTIONS', `-geom +0+0 MAIL_SPOOL_DIR -bg "WINBACK_COLOR" -fg "WINFORE_COLOR" -file MAIL_SPOOL_DIR -scanCommand "frm %s | grep -v \"Mail System Internal Data\" | cat -n | sed \"s,^ *,,\" | sed \"s,	,: ,\" | tail"')
')

define(`XBIFF', `XBIFFPROG XBIFFOPTIONS')
changecom(#)

Style "XBIFFNAME" Sticky, CirculateSkip, NoTitle, NoHandles, BorderWidth 4
Style "XBIFFNAME" WindowListSkip
Style xlbiff StickyOnTop

changecom(%%%)
AddToFunc ToggleXbiffOn
ifelse(XBIFFPROG, `xbiff', `
+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off Wharf"
')
+ "I"	Exec ANOTHERLEVEL/bin/kill-all-proc XBIFFPROG; XBIFF
changecom(#)

AddToFunc ToggleXbiffOff
+ "I"	Exec ANOTHERLEVEL/bin/kill-all-proc XBIFFPROG

define(`COMP_XBIFF_CONFIG_MENU_ENTRY',
`MenuAndButtonEntryLM(X&biff Choice,xbiff,,FvwmScript XbiffChoice)')

define(`COMP_XBIFF_TOGGLE_MENU_ENTRY',
`MenuAndButtonEntryLM(&Xbiff,xbiff,,Popup ToggleXbiff)')
