divert(-1)
# AnotherLevelUp/fvwm2rc.comp.xclock.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 2001 and Red Hat Software, Inc
divert

define(`XCLOCKPROG', `xclock-analogue')

readFile(scripts_XclockChoice)

ifelse(XCLOCKPROG, `xclock-analogue', `
define(`XCLOCKPROG', `xclock')
define(`XCLOCKNAME', `xclock')
define(`XCLOCKOPTIONS', `-geometry 47x43'NEXTTOPSCREENPOSITION`+0 -padding 0 -bg "WINBACK_COLOR" -fg "WINFORE_COLOR" -hd "WINFORE_COLOR" -hl "WINFORE_COLOR"')
define(`NEXTTOPSCREENPOSITION', eval(NEXTTOPSCREENPOSITION - 55))
')

ifelse(XCLOCKPROG, `xclock-digital', `
define(`XCLOCKPROG', `xclock')
define(`XCLOCKNAME', `xclock')
define(`XCLOCKOPTIONS', `-d -geometry 171x43'NEXTTOPSCREENPOSITION`+0 -padding 0 -bg "WINBACK_COLOR" -fg "WINFORE_COLOR"')
define(`NEXTTOPSCREENPOSITION', eval(NEXTTOPSCREENPOSITION - 179))
')


ifelse(XCLOCKPROG, `xdaliclock', `
define(`XCLOCKNAME', `xdaliclock')
define(`XCLOCKOPTIONS', `-24 -font -*-times-*-r-*--24-* -geometry 130x43'NEXTTOPSCREENPOSITION`+0 -bg "WINBACK_COLOR" -fg "WINFORE_COLOR"')
define(`NEXTTOPSCREENPOSITION', eval(NEXTTOPSCREENPOSITION - 138))
')

ifelse(XCLOCKPROG, `astime', `
define(`XCLOCKNAME', `astime')
define(`XCLOCKOPTIONS', `-geometry 47x43'NEXTTOPSCREENPOSITION`+0 -bg "WINBACK_COLOR" -fg "WINFORE_COLOR" -hour "WINFORE_COLOR" -min "WINFORE_COLOR" -sec "WINFORE_COLOR" -day "WINFORE_COLOR" -ampm "WINFORE_COLOR" -date "WINFORE_COLOR"')
define(`NEXTTOPSCREENPOSITION', eval(NEXTTOPSCREENPOSITION - 55))
')

ifelse(XCLOCKPROG, `rclock', `
define(`XCLOCKNAME', `rclock')
define(`XCLOCKOPTIONS', `-geometry 47x43'NEXTTOPSCREENPOSITION`+0 -bg "WINBACK_COLOR" -fg "WINFORE_COLOR" -update 1')
define(`NEXTTOPSCREENPOSITION', eval(NEXTTOPSCREENPOSITION - 55))
')

define(`XCLOCK', `XCLOCKPROG XCLOCKOPTIONS')

Style "XCLOCKNAME" Sticky, CirculateSkip, NoTitle, NoHandles, BorderWidth 4
Style "XCLOCKNAME" WindowListSkip

changecom(%%%)
AddToFunc ToggleXclockOn
ifelse(XCLOCKPROG, `xclock', `
+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off Wharf"
')
+ "I"	Exec ANOTHERLEVEL/bin/kill-all-proc XCLOCKPROG; XCLOCK
changecom(#)

AddToFunc ToggleXclockOff
+ "I"   Exec ANOTHERLEVEL/bin/kill-all-proc XCLOCKPROG

define(`COMP_XCLOCK_CONFIG_MENU_ENTRY',
`MenuAndButtonEntryLM(X &Clock Choice,clock,,FvwmScript XclockChoice)')

define(`COMP_XCLOCK_TOGGLE_MENU_ENTRY',
`MenuAndButtonEntryLM(X C&lock,clock,,Popup ToggleXclock)')
