divert(-1)
# AnotherLevelUp/fvwm2rc.menus.preferences.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 1999, 2000, 2001 and Red Hat Software, Inc
divert

TraceForErrors(`Preferences menu...')

# Now use fvwm2rc.xlock for moving background menu
define(`XLOCKFORMNAME', `MovingBackground')
undefine(`XLOCKLOCKSCREEN')
define(`XLOCKBACKGROUND')
define(`XLockUserChoice', BG_MOVING)
readFile(`fvwm2rc.xlock')

AddToMenu Background "Set Root Background" Title
+ "&Static (solid, mixture or image; and frame colour) MiniTitleIcon(rainbow)" FvwmScript ScreenSetup
+ "&Moving (xlock running on root window) MiniTitleIcon(hextris)" FvwmForm XLOCKFORMNAME`1'
+ "&XSnow (with or without santa) MiniTitleIcon(xsnow)" FvwmScript XSnow
+ "X&Eyes (eyes that follow the mouse) MiniTitleIcon(eyes)" FvwmScript XEyes
+ "XE&arth (earth seen from space) MiniTitleIcon(clock)" FvwmScript XEarth

# ???? Audio is yet to be sorted out!
#AddToMenu AudioSettings "Audio Settings" Title
#+ "&On" Module FvwmAudio
#+ "O&ff" KillModule FvwmAudio
##+ "Event mapping" FvwmForm AudioEvents

AddToFunc FvwmTaskBar
+ "I"	KillModule FvwmTaskBar
+ "I"	Module FvwmTaskBar

ifelse(PLANES, `8', `',`
syscmd(display -window root ANOTHERLEVEL/init-screen-picture-4.jpeg)
')

readFile(fvwm2rc.storedprefs)

ifelse(PLANES, `8', `',`
syscmd(display -window root ANOTHERLEVEL/init-screen-picture-5.jpeg)
')

AddNewMenuAndButtonBar(Preferences, "Toggle Button Panel MiniTitleIcon(modules)")

ifelse(WM_STYLE, `FVWM95', `
MenuAndButtonEntryLM(Stored &Preferences/Themes, turn, turn, Popup StoredPreferences)
')

ifelse(SCREEN_SIZE, `Huge', `
MenuAndButtonEntryLM(&Initial Windows,windows,windows,FvwmScript InitialWindowsSetUp)
', `
MenuAndButtonEntryLM(&Initial Netscape,nscape,,FvwmScript InitialWindowsSetUpSmall)
')

ifelse(WM_STYLE, `FVWM95', `
MenuAndButtonEntryLM(&Screen Background,colors,,Popup Background)
MenuAndButtonEntryLM(Window and Menu &Decorations,window,window,FvwmScript WindowDecorations)
MenuAndButtonEntryLM(Window &Buttons,xjewel,xjewel,FvwmScript WindowButtons)
MenuAndButtonEntryLM(&XTerm Preferences,term,term,FvwmScript Xresources_XTerm)
')

MenuAndButtonEntryLM(&Editor Choice,edit,edit,FvwmScript EditorChoice)

ifdef(`COMP_PAGER_CONFIG_MENU_ENTRY', COMP_PAGER_CONFIG_MENU_ENTRY)
ifdef(`COMP_XBIFF_CONFIG_MENU_ENTRY', COMP_XBIFF_CONFIG_MENU_ENTRY)
ifdef(`COMP_XCLOCK_CONFIG_MENU_ENTRY', COMP_XCLOCK_CONFIG_MENU_ENTRY)
ifdef(`COMP_ROOTCURSOR_CONFIG_MENU_ENTRY', COMP_ROOTCURSOR_CONFIG_MENU_ENTRY)
ifdef(`COMP_MOUSESPEED_CONFIG_MENU_ENTRY', COMP_MOUSESPEED_CONFIG_MENU_ENTRY)

# ??? Audio yet to be done
# MenuAndButtonEntryLM(A&udio,audiovol,Multimedia3,Popup AudioSettings)

ifdef(`COMP_WINDOWFOCUS_CONFIG_MENU_ENTRY', COMP_WINDOWFOCUS_CONFIG_MENU_ENTRY)
ifdef(`COMP_AUTORAISE_CONFIG_MENU_ENTRY', COMP_AUTORAISE_CONFIG_MENU_ENTRY)
ifdef(`COMP_PAGESCROLL_CONFIG_MENU_ENTRY', COMP_PAGESCROLL_CONFIG_MENU_ENTRY)
